Bug 847124 - [abrt] iftop-1.0-0.2.pre2.fc17: __GI___open_catalog: Process /usr/sbin/iftop was killed by signal 6 (SIGABRT)
[abrt] iftop-1.0-0.2.pre2.fc17: __GI___open_catalog: Process /usr/sbin/iftop ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: iftop (Show other bugs)
18
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Robert Scheck
Fedora Extras Quality Assurance
abrt_hash:b9d8ffb5110c9653da7a1629f0a...
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-09 14:53 EDT by Brian J. Murrell
Modified: 2014-06-09 08:05 EDT (History)
3 users (show)

See Also:
Fixed In Version: iftop-1.0-0.6.pre2.el5
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-12-20 21:08:32 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.71 KB, text/plain)
2012-08-09 14:53 EDT, Brian J. Murrell
no flags Details
File: maps (6.86 KB, text/plain)
2012-08-09 14:53 EDT, Brian J. Murrell
no flags Details

  None (edit)
Description Brian J. Murrell 2012-08-09 14:53:01 EDT
libreport version: 2.0.10
abrt_version:   2.0.10
backtrace_rating: 4
cmdline:        iftop
crash_function: __GI___open_catalog
executable:     /usr/sbin/iftop
kernel:         3.3.4-5.fc17.x86_64
pid:            6291
pwd:            /home/brian
remote_result:  NOTFOUND
time:           Wed 08 Aug 2012 08:20:38 PM EDT
uid:            0
username:       root

backtrace:      Text file, 35543 bytes
maps:           Text file, 7029 bytes

build_ids:
:e45258c755689bf1d66580f1c9a3f9d4d3f26235
:f69712fe393313f44607679e934bf5a67f39ec50
:3bbeb82b3bc850005dc0f186e15b20b45df0cbaa
:6086bff484a49cc8b80cb714d7e83a6391394800
:1df2138063f8eee89db95b8adf7749f09022d865
:5826afc35750b4addfe993bba7da51974fe51838
:f4c064df8745dff15466d705fb049138f9a5c949
:6088efab2ef3571c51fb041bb70b4ab626221ba4
:6668de624a10d486a3484d5b4921f87b1e77d36c
:2583bf68f2f1c27bb1d9964faa91971bd35e14d8
:871da94dce96cd9207f7a0836508b5832edb617b
:4555444390434459edd5379df593b6d7382f86be
:db1b4087b2d3bbced5355c6a9eaf69e2f9ee0341
:a27ad86b60f50e96117f7d55a8605e5e4d3efecc

cgroup:
:9:perf_event:/
:8:blkio:/
:7:net_cls:/
:6:freezer:/
:5:devices:/
:4:memory:/
:3:cpuacct,cpu:/
:2:cpuset:/
:1:name=systemd:/user/brian/6

core_backtrace:
:f69712fe393313f44607679e934bf5a67f39ec50 0x35925 raise libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x370d8 abort libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x2e6a2 __assert_fail_base libc.so.6 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x2e752 __assert_fail libc.so.6 -
:1df2138063f8eee89db95b8adf7749f09022d865 0xcb0 - libnss_myhostname.so.2 -
:1df2138063f8eee89db95b8adf7749f09022d865 0x18ff _nss_myhostname_gethostbyaddr2_r libnss_myhostname.so.2 -
:1df2138063f8eee89db95b8adf7749f09022d865 0x1925 _nss_myhostname_gethostbyaddr_r libnss_myhostname.so.2 -
:f69712fe393313f44607679e934bf5a67f39ec50 0x10a0cb gethostbyaddr_r@@GLIBC_2.2.5 libc.so.6 -
:871da94dce96cd9207f7a0836508b5832edb617b 0x520e - [exe] -
:871da94dce96cd9207f7a0836508b5832edb617b 0x52fe - [exe] -
:6086bff484a49cc8b80cb714d7e83a6391394800 0x7d14 start_thread libpthread.so.0 -
:f69712fe393313f44607679e934bf5a67f39ec50 0xf197d clone libc.so.6 -

dso_list:
:/usr/lib64/libncursesw.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib64/libtinfo.so.5.9 ncurses-libs-5.9-4.20120204.fc17.x86_64 (Fedora Project) 1337719197
:/usr/lib/locale/locale-archive glibc-common-2.15-51.fc17.x86_64 (Fedora Project) 1344362140
:/usr/lib64/libnss_files-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344362145
:/usr/lib64/libpcap.so.1.2.1 libpcap-14:1.2.1-2.fc17.x86_64 (Fedora Project) 1337719209
:/usr/lib64/libnss_mdns4_minimal.so.2 nss-mdns-0.10-10.fc17.x86_64 (Fedora Project) 1337719322
:/usr/lib64/libc-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344362145
:/usr/lib64/libnss_myhostname.so.2 nss-myhostname-0.3-2.fc17.x86_64 (Fedora Project) 1337719213
:/usr/lib64/libm-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344362145
:/usr/lib64/libresolv-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344362145
:/usr/lib64/ld-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344362145
:/usr/lib64/libdl-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344362145
:/usr/lib64/libnss_dns-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344362145
:/usr/sbin/iftop iftop-1.0-0.2.pre2.fc17.x86_64 (Fedora Project) 1344471630
:/usr/lib64/libpthread-2.15.so glibc-2.15-51.fc17.x86_64 (Fedora Project) 1344362145

environ:
:HOSTNAME=brian-laptop
:SHELL=/bin/bash
:TERM=xterm
:HISTSIZE=1000
:USER=root
:LS_COLORS=rs=0:di=01;34:ln=01;36:mh=00:pi=40;33:so=01;35:do=01;35:bd=40;33;01:cd=40;33;01:or=40;31;01:mi=01;05;37;41:su=37;41:sg=30;43:ca=30;41:tw=30;42:ow=34;42:st=37;44:ex=01;32:*.tar=01;31:*.tgz=01;31:*.arj=01;31:*.taz=01;31:*.lzh=01;31:*.lzma=01;31:*.tlz=01;31:*.txz=01;31:*.zip=01;31:*.z=01;31:*.Z=01;31:*.dz=01;31:*.gz=01;31:*.lz=01;31:*.xz=01;31:*.bz2=01;31:*.tbz=01;31:*.tbz2=01;31:*.bz=01;31:*.tz=01;31:*.deb=01;31:*.rpm=01;31:*.jar=01;31:*.war=01;31:*.ear=01;31:*.sar=01;31:*.rar=01;31:*.ace=01;31:*.zoo=01;31:*.cpio=01;31:*.7z=01;31:*.rz=01;31:*.jpg=01;35:*.jpeg=01;35:*.gif=01;35:*.bmp=01;35:*.pbm=01;35:*.pgm=01;35:*.ppm=01;35:*.tga=01;35:*.xbm=01;35:*.xpm=01;35:*.tif=01;35:*.tiff=01;35:*.png=01;35:*.svg=01;35:*.svgz=01;35:*.mng=01;35:*.pcx=01;35:*.mov=01;35:*.mpg=01;35:*.mpeg=01;35:*.m2v=01;35:*.mkv=01;35:*.ogm=01;35:*.mp4=01;35:*.m4v=01;35:*.mp4v=01;35:*.vob=01;35:*.qt=01;35:*.nuv=01;35:*.wmv=01;35:*.asf=01;35:*.rm=01;35:*.rmvb=01;35:*.flc=01;35:*.avi=01;35:*.fli=01;35:*.flv=01;35:*.gl=01;35:*.dl=01;35:*.xcf=01;35:*.xwd=01;35:*.yuv=01;35:*.cgm=01;35:*.emf=01;35:*.axv=01;35:*.anx=01;35:*.ogv=01;35:*.ogx=01;35:*.aac=01;36:*.au=01;36:*.flac=01;36:*.mid=01;36:*.midi=01;36:*.mka=01;36:*.mp3=01;36:*.mpc=01;36:*.ogg=01;36:*.ra=01;36:*.wav=01;36:*.axa=01;36:*.oga=01;36:*.spx=01;36:*.xspf=01;36:*.pdf=00;33:*.ps=00;33:*.ps.gz=00;33:*.txt=00;33:*.patch=00;33:*.diff=00;33:*.log=00;33:*.tex=00;33:*.xls=00;33:*.xlsx=00;33:*.ppt=00;33:*.pptx=00;33:*.rtf=00;33:*.doc=00;33:*.docx=00;33:*.odt=00;33:*.ods=00;33:*.odp=00;33:*.xml=00;33:*.epub=00;33:*.abw=00;33:*.htm=00;33:*.html=00;33:*.shtml=00;33:*.wpd=00;33:
:SUDO_USER=brian
:SUDO_UID=1001
:USERNAME=brian
:PATH=/sbin:/bin:/usr/sbin:/usr/bin
:MAIL=/var/spool/mail/brian
:LC_MESSAGES=en_CA.UTF-8
:LC_COLLATE=en_CA.UTF-8
:PWD=/home/brian
:LANG=en_US.utf8
:SHLVL=1
:SUDO_COMMAND=/bin/bash
:HOME=/root
:LANGUAGE=en_CA:en
:LOGNAME=root
:LC_CTYPE=en_CA.UTF-8
:'LESSOPEN=||/usr/bin/lesspipe.sh %s'
:SUDO_GID=1001
:DISPLAY=:0
:XAUTHORITY=/var/run/gdm/auth-for-brian-AmdSxK/database
:COLORTERM=gnome-terminal
:_=/sbin/iftop

limits:
:Limit                     Soft Limit           Hard Limit           Units     
:Max cpu time              unlimited            unlimited            seconds   
:Max file size             unlimited            unlimited            bytes     
:Max data size             unlimited            unlimited            bytes     
:Max stack size            8388608              unlimited            bytes     
:Max core file size        0                    unlimited            bytes     
:Max resident set          unlimited            unlimited            bytes     
:Max processes             1024                 unlimited            processes 
:Max open files            1024                 4096                 files     
:Max locked memory         65536                65536                bytes     
:Max address space         unlimited            unlimited            bytes     
:Max file locks            unlimited            unlimited            locks     
:Max pending signals       63196                63196                signals   
:Max msgqueue size         819200               819200               bytes     
:Max nice priority         0                    0                    
:Max realtime priority     0                    0                    
:Max realtime timeout      unlimited            unlimited            us        

open_fds:
:0:/dev/pts/3
:pos:	0
:flags:	0102002
:1:/dev/pts/3
:pos:	0
:flags:	0102002
:2:/dev/pts/3
:pos:	0
:flags:	0102002
:3:socket:[1067741]
:pos:	0
:flags:	02
:4:/etc/hosts
:pos:	83
:flags:	02100000
:5:socket:[1067743]
:pos:	0
:flags:	02

var_log_messages:
:Aug  8 20:20:30 brian-laptop yum[6276]: Installed: iftop-1.0-0.2.pre2.fc17.x86_64
:Aug  8 20:20:38 brian-laptop abrt[6303]: Saved core dump of pid 6291 (/usr/sbin/iftop) to /var/spool/abrt/ccpp-2012-08-08-20:20:38-6291 (28147712 bytes)
Comment 1 Brian J. Murrell 2012-08-09 14:53:04 EDT
Created attachment 603338 [details]
File: backtrace
Comment 2 Brian J. Murrell 2012-08-09 14:53:06 EDT
Created attachment 603339 [details]
File: maps
Comment 3 Robert Scheck 2012-08-09 19:04:43 EDT
Thank you very much for the report, I have notified upstream about this.
Comment 4 redhat 2013-05-24 03:17:02 EDT
iftop is unusable. It has a memory leak and gets killed by the kernel when it reached the ulimit. This takes less than a day!

The upstream report is 9 months old. Any progress on that?
Comment 5 Fedora End Of Life 2013-07-03 22:54:24 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 6 Fedora End Of Life 2013-08-01 05:42:04 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.
Comment 7 Robert Scheck 2013-11-16 14:04:15 EST
As it seems that there are two similar issues in iftop, I still would like to 
track it down. Can you please try one of these scratch builds please and give
me some feedback?

 - F21: http://koji.fedoraproject.org/koji/taskinfo?taskID=6187796
 - F20: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188542
 - F19: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188556
 - F18: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188569
 - EL6: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188587
 - EL5: http://koji.fedoraproject.org/koji/taskinfo?taskID=6188595
Comment 8 Fedora Update System 2013-12-19 14:15:16 EST
iftop-1.0-0.6.pre2.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc20
Comment 9 Fedora Update System 2013-12-19 14:16:24 EST
iftop-1.0-0.6.pre2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc19
Comment 10 Fedora Update System 2013-12-19 14:17:29 EST
iftop-1.0-0.6.pre2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.fc18
Comment 11 Fedora Update System 2013-12-19 14:18:44 EST
iftop-1.0-0.6.pre2.el6 has been submitted as an update for Fedora EPEL 6.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.el6
Comment 12 Fedora Update System 2013-12-19 14:19:53 EST
iftop-1.0-0.6.pre2.el5 has been submitted as an update for Fedora EPEL 5.
https://admin.fedoraproject.org/updates/iftop-1.0-0.6.pre2.el5
Comment 13 Fedora Update System 2013-12-20 11:51:56 EST
Package iftop-1.0-0.6.pre2.el6:
* should fix your issue,
* was pushed to the Fedora EPEL 6 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=epel-testing iftop-1.0-0.6.pre2.el6'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-EPEL-2013-12431/iftop-1.0-0.6.pre2.el6
then log in and leave karma (feedback).
Comment 14 Fedora Update System 2013-12-20 21:08:32 EST
iftop-1.0-0.6.pre2.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 15 Fedora End Of Life 2013-12-21 10:40:47 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 16 Fedora Update System 2013-12-21 13:50:30 EST
iftop-1.0-0.6.pre2.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2013-12-22 22:50:33 EST
iftop-1.0-0.6.pre2.fc19 has been pushed to the Fedora 19 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2013-12-28 18:42:15 EST
iftop-1.0-0.6.pre2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2014-01-03 17:42:38 EST
iftop-1.0-0.6.pre2.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 20 Brian J. Murrell 2014-06-09 08:05:19 EDT
This does appear to be working in F20, at least.

Note You need to log in before you can comment on or make changes to this bug.